## kdev-python 1.6.0

=== CMakeLists.txt ===
PROJECT(kdevpython)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${kdevpython_SOURCE_DIR}/cmake/)

find_package(KDE4 REQUIRED)
find_package(KDevPlatform 1.6.0 REQUIRED)

# write the plugin version to a file
set(KDEVPYTHON_VERSION_MAJOR 1)
set(KDEVPYTHON_VERSION_MINOR 6)
set(KDEVPYTHON_VERSION_PATCH 0)

# find the system python 2 interpreter, only used for determining search paths.
find_package(PythonInterp 2.7 REQUIRED)

configure_file( "${kdevpython_SOURCE_DIR}/kdevpythonversion.h.cmake" "${kdevpython_BINARY_DIR}/kdevpythonversion.h" @ONLY )

cmake_minimum_required(VERSION 2.8)

enable_testing()

set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -Wfatal-errors -Wall")

# then, build the plugin
include_directories(
    ${KDEVPLATFORM_INCLUDE_DIR}
    ${KDE4_INCLUDES}
    ${KDE4_INCLUDE_DIR}/threadweaver
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/duchain
    ${CMAKE_CURRENT_SOURCE_DIR}/parser
    ${CMAKE_CURRENT_SOURCE_DIR}/python-src
    ${CMAKE_CURRENT_BINARY_DIR}/python-src
    ${CMAKE_CURRENT_BINARY_DIR}/parser
    ${KDEVPGQT_INCLUDE_DIR}
)


add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9011 )

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/parser
)

add_subdirectory(app_templates)
add_subdirectory(python-src)
add_subdirectory(parser)
add_subdirectory(duchain)
add_subdirectory(codecompletion)
add_subdirectory(debugger)
add_subdirectory(codegen)
add_subdirectory(docfilekcm)
add_subdirectory(pep8kcm)

set(kdevpythonlanguagesupport_PART_SRCS
    codegen/simplerefactoring.cpp
    pythonlanguagesupport.cpp
    pythonparsejob.cpp
    pythonhighlighting.cpp
)

kde4_add_plugin(kdevpythonlanguagesupport ${kdevpythonlanguagesupport_PART_SRCS})

target_link_libraries(kdevpythonlanguagesupport
    ${KDE4_KDEUI_LIBS}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
    ${KDE4_THREADWEAVER_LIBRARIES}
    ${KDE4_KTEXTEDITOR_LIBS}
    kdev4pythoncompletion
    kdev4pythonparser
    kdev4pythonduchain
)

install(TARGETS kdevpythonlanguagesupport DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kdevpythonsupport.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(DIRECTORY documentation_files DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport)
install(DIRECTORY python-src/Lib/encodings DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport/encodings)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== codecompletion/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(completion_SRCS
    context.cpp 
    model.cpp
    worker.cpp
    helpers.cpp
    
    items/missingincludeitem.cpp
    items/declaration.cpp
    items/functiondeclaration.cpp
    items/implementfunction.cpp
    items/importfile.cpp
    items/keyword.cpp
)

kde4_add_library(kdev4pythoncompletion SHARED ${completion_SRCS})

add_dependencies(kdev4pythoncompletion
    kdev4pythonparser 
    kdev4pythonduchain
)

target_link_libraries(kdev4pythoncompletion
    ${KDE4_KDECORE_LIBS}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_PROJECT_LIBRARIES}
    kdev4pythonduchain
    kdev4pythonparser
)

install(TARGETS kdev4pythoncompletion DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

add_subdirectory(tests)

=== debugger/CMakeLists.txt ===
project(pdb)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${KDEVPLATFORM_INCLUDE_DIR}
    ${KDEVELOP_INCLUDE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${KDE4_ENABLE_EXCEPTIONS}")

set(kdevpdb_PART_SRCS
    breakpointcontroller.cpp
    variable.cpp
    variablecontroller.cpp
    pdbframestackmodel.cpp
    pdblauncher.cpp
    debugjob.cpp
    debugsession.cpp
    pdbdebuggerplugin.cpp
)

kde4_add_plugin(kdevpdb ${kdevpdb_PART_SRCS})
target_link_libraries(kdevpdb
    sublime
    kdev4pythonparser
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
    ${KDEVPLATFORM_DEBUGGER_LIBRARIES}
    ${KDEVPLATFORM_OUTPUTVIEW_LIBRARIES}
    ${KDEVPLATFORM_PROJECT_LIBRARIES}
    ${KDE4_KDEUI_LIBS}
    ${KDEVPLATFORM_UTIL_LIBRARIES}
    ${KDE4_KTEXTEDITOR_LIBS}
    ${KDE4WORKSPACE_PROCESSUI_LIBS}
)

install(TARGETS kdevpdb DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kdevpdb.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES __kdevpython_debugger_utils.py DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport/debugger)
install(FILES kdevpdb.py DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport/debugger)

=== duchain/CMakeLists.txt ===

include_directories(${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    )

set(duchain_SRCS
    declarations/functiondeclaration.cpp
    declarations/classdeclaration.cpp

    types/variablelengthcontainer.cpp
    types/hintedtype.cpp
    types/unsuretype.cpp
    types/indexedcontainer.cpp

    expressionvisitor.cpp
    helpers.cpp
    pythonducontext.cpp
    contextbuilder.cpp
    pythoneditorintegrator.cpp
    declarationbuilder.cpp
    usebuilder.cpp
    dumpchain.cpp

    navigation/navigationwidget.cpp
    navigation/declarationnavigationcontext.cpp

    assistants/missingincludeassistant.cpp
    ../docfilekcm/docfilewizard.cpp # for the docfile generation assistant widget, to be used in the problem resolver
)


kde4_add_library( kdev4pythonduchain SHARED ${duchain_SRCS} )
target_link_libraries( kdev4pythonduchain
    ${KDE4_KDECORE_LIBS}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
    ${KDEVPLATFORM_PROJECT_LIBRARIES}
    ${KDE4_KTEXTEDITOR_LIBS}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${QT_QTWEBKIT_LIBRARY}
    kdev4pythonparser
 )

install(TARGETS kdev4pythonduchain DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})


add_subdirectory(navigation)

add_subdirectory(tests)

add_subdirectory(types)
add_subdirectory(declarations)

add_subdirectory(assistants)

=== parser/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

set(parser_STAT_SRCS
    codehelpers.cpp
    parsesession.cpp
    ast.cpp
    astdefaultvisitor.cpp
    astvisitor.cpp
    astbuilder.cpp
)

set(kdev4pythonparser_LIBRARIES
    ${KDE4_KDECORE_LIBS}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
    ${QT_QTCORE_LIBRARY}
    ${kdevpython_BINARY_DIR}/python-src/libpython2.7-kdevelop.so
    PARENT_SCOPE
)

kde4_add_library( kdev4pythonparser SHARED ${parser_SRCS} ${parser_STAT_SRCS} )
target_link_libraries(kdev4pythonparser
    ${KDE4_KDECORE_LIBS}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
    ${QT_QTCORE_LIBRARY}
    ${kdevpython_BINARY_DIR}/python-src/libpython2.7-kdevelop.so
)

add_dependencies(kdev4pythonparser parser)
install(TARGETS kdev4pythonparser DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(pt_BR)
add_subdirectory(bs)
add_subdirectory(nl)
add_subdirectory(es)
add_subdirectory(pt)
add_subdirectory(sk)
add_subdirectory(zh_TW)
add_subdirectory(it)
add_subdirectory(gl)
add_subdirectory(kk)
add_subdirectory(sl)
add_subdirectory(ca)
add_subdirectory(sv)
add_subdirectory(de)
add_subdirectory(uk)
add_subdirectory(fr)
add_subdirectory(ca@valencia)
add_subdirectory(da)
add_subdirectory(fi)

=== codecompletion/tests/CMakeLists.txt ===
kde4_add_unit_test(pycompletiontest pycompletiontest.cpp)

target_link_libraries(pycompletiontest
    kdev4pythonduchain
    kdev4pythoncompletion
    kdev4pythonparser
    ${kdev4pythonparser_LIBRARIES}
    ${QT_QTTEST_LIBRARY}
    ${KDEVPLATFORM_TESTS_LIBRARIES}
)

=== duchain/tests/CMakeLists.txt ===
automoc4(pyduchaintest waitforupdate.cpp)
kde4_add_unit_test(pyduchaintest pyduchaintest.cpp)

add_definitions(-DDUCHAIN_PY_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

target_link_libraries(pyduchaintest
    kdev4pythonduchain
    kdev4pythonparser
    ${kdev4pythonparser_LIBRARIES}
    ${QT_QTTEST_LIBRARY}
    ${KDEVPLATFORM_TESTS_LIBRARIES}
)

## kdev-python 1.5.1

=== debian/changelog ===
kdev-python (1.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1201742)
  * Update copyright 
  * Remove duplicated libpython2.7-kdevelop.so as it's not needed
  * Improve package description

 -- Philip MuÅ¡kovac <yofel@kubuntu.org>  Tue, 16 Jul 2013 11:43:24 +0200

kdev-python (1.5.0-0ubuntu2) saucy; urgency=low

  * Add build-dep on libqtwebkit-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 31 May 2013 17:46:40 +0100

kdev-python (1.5.0-0ubuntu1) saucy; urgency=low

  * Initial release LP: #1176225

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 May 2013 16:54:48 +0100

=== debian/control ===
Source: kdev-python
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, pkg-kde-tools, kdevelop-pg-qt, kdevplatform-dev, kdelibs5-dev, libqtwebkit-dev
Standards-Version: 3.9.4
Homepage: http://www.kdevelop.org/tags/kdev-python

Package: kdev-python
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: KDevelop Python Plugin
 Python language support plugin for Kdevelop providing
 * syntax checking
 * code completion
 * quickopen support
 and more for the python scripting language

## kdev-python 1.6.0

=== debian/changelog ===
kdev-python (1.6.0-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1259220)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 09 Dec 2013 19:04:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 8.0.0), cmake, pkg-kde-tools, kdevelop-pg-qt, kdevplatform-dev, kdelibs5-dev, libqtwebkit-dev
+Build-Depends: debhelper (>= 8.0.0), cmake, pkg-kde-tools, kdevelop-pg-qt, kdevplatform-dev (>= 1.6.0), kdelibs5-dev, libqtwebkit-dev
 Standards-Version: 3.9.4
 Homepage: http://www.kdevelop.org/tags/kdev-python

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel --list-missing --with kde

.PHONY: override_dh_auto_test

override_dh_auto_configure:
	cp -r python-src python-src-backup
	dh_auto_configure

override_dh_auto_clean:
	if [ -e python-src-backup ]; then \
	  rm -rf python-src; \
	  mv python-src-backup python-src; \
	fi
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install
	rm -f debian/kdev-python/usr/lib/libpython2.7-kdevelop.so
	find debian -name *pyc | xargs rm

## kdev-python 1.7.0

=== debian/changelog ===
kdev-python (1.7.0-0ubuntu2) utopic; urgency=medium

  * Add build-depends on python, needed for compile on arm64

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 30 Sep 2014 11:10:02 +0200

kdev-python (1.7.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 16 Sep 2014 14:07:38 -0700

## kdev-python 1.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,24 @@
 PROJECT(kdevpython)
+
+# write the plugin version to a file
+set(KDEVPYTHON_VERSION_MAJOR 1)
+set(KDEVPYTHON_VERSION_MINOR 7)
+set(KDEVPYTHON_VERSION_PATCH 1)
+# KDevplatform dependency version
+set( KDEVPLATFORM_VERSION "${KDEVPYTHON_VERSION_MAJOR}.${KDEVPYTHON_VERSION_MINOR}.${KDEVPYTHON_VERSION_PATCH}" )
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${kdevpython_SOURCE_DIR}/cmake/)
 
+cmake_minimum_required(VERSION 2.8.9)
+
 find_package(KDE4 REQUIRED)
-find_package(KDevPlatform 1.6.0 REQUIRED)
+find_package(KDevPlatform ${KDEVPLATFORM_VERSION} REQUIRED)
 
-# write the plugin version to a file
-set(KDEVPYTHON_VERSION_MAJOR 1)
-set(KDEVPYTHON_VERSION_MINOR 6)
-set(KDEVPYTHON_VERSION_PATCH 0)
 
 # find the system python 2 interpreter, only used for determining search paths.
 find_package(PythonInterp 2.7 REQUIRED)
-
 configure_file( "${kdevpython_SOURCE_DIR}/kdevpythonversion.h.cmake" "${kdevpython_BINARY_DIR}/kdevpythonversion.h" @ONLY )
 
-cmake_minimum_required(VERSION 2.8)
 
 enable_testing()
 
@@ -39,6 +42,10 @@
 
 add_definitions( -DKDE_DEFAULT_DEBUG_AREA=9011 )
 
+if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Intel")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+endif()
+
 include_directories(
     ${CMAKE_CURRENT_BINARY_DIR}/parser
 )
@@ -49,16 +56,18 @@
 add_subdirectory(duchain)
 add_subdirectory(codecompletion)
 add_subdirectory(debugger)
-add_subdirectory(codegen)
 add_subdirectory(docfilekcm)
 add_subdirectory(pep8kcm)
 
 set(kdevpythonlanguagesupport_PART_SRCS
-    codegen/simplerefactoring.cpp
+    codegen/correctionfilegenerator.cpp
+    codegen/refactoring.cpp
     pythonlanguagesupport.cpp
     pythonparsejob.cpp
     pythonhighlighting.cpp
 )
+
+kde4_add_ui_files(kdevpythonlanguagesupport_PART_SRCS codegen/correctionwidget.ui)
 
 kde4_add_plugin(kdevpythonlanguagesupport ${kdevpythonlanguagesupport_PART_SRCS})
 
@@ -75,9 +84,11 @@
 
 install(TARGETS kdevpythonlanguagesupport DESTINATION ${PLUGIN_INSTALL_DIR})
 
-install(FILES kdevpythonsupport.desktop DESTINATION ${SERVICES_INSTALL_DIR})
+configure_file(kdevpythonsupport.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kdevpythonsupport.desktop)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdevpythonsupport.desktop DESTINATION ${SERVICES_INSTALL_DIR})
 
 install(DIRECTORY documentation_files DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport)
+install(DIRECTORY correction_files DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport)
 install(DIRECTORY python-src/Lib/encodings DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport/encodings)
 
 include(MacroOptionalAddSubdirectory)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(fi)
add_subdirectory(en_GB)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(pt)
add_subdirectory(it)
add_subdirectory(pt_BR)
add_subdirectory(ca)
add_subdirectory(de)
add_subdirectory(pl)
add_subdirectory(sk)
add_subdirectory(uk)
add_subdirectory(sl)
add_subdirectory(tr)
add_subdirectory(sv)
add_subdirectory(nl)
add_subdirectory(fr)

=== debian/changelog ===
kdev-python (1.7.1-0ubuntu1) vivid; urgency=medium

  * Release to Archive 

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Mar 2015 19:07:38 -0700

=== debian/control ===
Source: kdev-python
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 8.0.0),
               kdelibs5-dev,
               kdevelop-pg-qt,
               kdevplatform-dev (>= 1.7.0),
               libqtwebkit-dev,
               pkg-kde-tools,
               python
Standards-Version: 3.9.4
Homepage: http://www.kdevelop.org/tags/kdev-python

Package: kdev-python
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDevelop Python Plugin
 Python language support plugin for Kdevelop providing
    * syntax checking
    * code completion
    * quickopen support
 and more for the python scripting language

## kdev-python 1.7.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # write the plugin version to a file
 set(KDEVPYTHON_VERSION_MAJOR 1)
 set(KDEVPYTHON_VERSION_MINOR 7)
-set(KDEVPYTHON_VERSION_PATCH 1)
+set(KDEVPYTHON_VERSION_PATCH 3)
 # KDevplatform dependency version
 set( KDEVPLATFORM_VERSION "${KDEVPYTHON_VERSION_MAJOR}.${KDEVPYTHON_VERSION_MINOR}.${KDEVPYTHON_VERSION_PATCH}" )

=== codecompletion/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,7 @@
     items/implementfunction.cpp
     items/importfile.cpp
     items/keyword.cpp
+    items/replacementvariable.cpp
 )
 
 kde4_add_library(kdev4pythoncompletion SHARED ${completion_SRCS})
@@ -24,7 +25,7 @@
     kdev4pythonduchain
 )
 
-target_link_libraries(kdev4pythoncompletion
+target_link_libraries(kdev4pythoncompletion LINK_PRIVATE
     ${KDE4_KDECORE_LIBS}
     ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
     ${KDEVPLATFORM_INTERFACES_LIBRARIES}

=== debugger/CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,6 @@
 
 kde4_add_plugin(kdevpdb ${kdevpdb_PART_SRCS})
 target_link_libraries(kdevpdb
-    sublime
     kdev4pythonparser
     ${KDEVPLATFORM_INTERFACES_LIBRARIES}
     ${KDEVPLATFORM_LANGUAGE_LIBRARIES}

=== docfilekcm/CMakeLists.txt ===
set(kcm_docfiles_SRCS
    docfilewizard.cpp
    docfilemanagerwidget.cpp
    kcm_docfiles.cpp
)

kde4_add_plugin(kcm_docfiles ${kcm_docfiles_SRCS})

target_link_libraries(kcm_docfiles
    ${KDE4_KIO_LIBS}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
    ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
    ${KDEVPLATFORM_PROJECT_LIBRARIES}
    ${KDEVPLATFORM_UTIL_LIBRARIES}
    ${KDE4_KNEWSTUFF3_LIBS}
    ${KDEVPLATFORM_INTERFACES_LIBRARIES}
)

install(TARGETS kcm_docfiles
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kcm_kdevpythondocfiles.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES kdev_python_docfiles.knsrc
        DESTINATION ${CONFIG_INSTALL_DIR})

install(FILES ../documentation_src/introspection/introspect.py
        DESTINATION ${DATA_INSTALL_DIR}/kdevpythonsupport/scripts)

=== duchain/CMakeLists.txt ===
--- 
+++ 
@@ -24,19 +24,22 @@
     navigation/navigationwidget.cpp
     navigation/declarationnavigationcontext.cpp
 
+    correctionhelper.cpp
+
     assistants/missingincludeassistant.cpp
     ../docfilekcm/docfilewizard.cpp # for the docfile generation assistant widget, to be used in the problem resolver
 )
 
 
 kde4_add_library( kdev4pythonduchain SHARED ${duchain_SRCS} )
-target_link_libraries( kdev4pythonduchain
+target_link_libraries( kdev4pythonduchain LINK_PRIVATE
     ${KDE4_KDECORE_LIBS}
     ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
     ${KDEVPLATFORM_PROJECT_LIBRARIES}
     ${KDE4_KTEXTEDITOR_LIBS}
     ${KDEVPLATFORM_INTERFACES_LIBRARIES}
     ${QT_QTWEBKIT_LIBRARY}
+    ${KDEVPLATFORM_UTIL_LIBRARIES}
     kdev4pythonparser
  )

=== parser/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 )
 
 kde4_add_library( kdev4pythonparser SHARED ${parser_SRCS} ${parser_STAT_SRCS} )
-target_link_libraries(kdev4pythonparser
+target_link_libraries(kdev4pythonparser LINK_PRIVATE
     ${KDE4_KDECORE_LIBS}
     ${KDEVPLATFORM_LANGUAGE_LIBRARIES}
     ${QT_QTCORE_LIBRARY}

=== po/CMakeLists.txt ===
find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(fi)
add_subdirectory(gl)
add_subdirectory(en_GB)
add_subdirectory(es)
add_subdirectory(et)
add_subdirectory(bs)
add_subdirectory(pt)
add_subdirectory(it)
add_subdirectory(pt_BR)
add_subdirectory(ca)
add_subdirectory(de)
add_subdirectory(ca@valencia)
add_subdirectory(pl)
add_subdirectory(sk)
add_subdirectory(uk)
add_subdirectory(sl)
add_subdirectory(tr)
add_subdirectory(sv)
add_subdirectory(nl)
add_subdirectory(fr)

=== debian/changelog ===
kdev-python (1.7.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release.
  * Add conflict to python3 version. 
  * Release to Archive. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Sun, 06 Mar 2016 10:05:54 -0800

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Package: kdev-python
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Conflicts: kdevelop-python
 Description: KDevelop Python Plugin
  Python language support plugin for Kdevelop providing
     * syntax checking

=== debian/rules ===
--- 
+++ 
@@ -16,8 +16,3 @@
 	  mv python-src-backup python-src; \
 	fi
 	dh_auto_clean
-
-override_dh_auto_install:
-	dh_auto_install
-	rm -f debian/kdev-python/usr/lib/libpython2.7-kdevelop.so
-	find debian -name *pyc | xargs rm
